:root {
    --bg-color: #ffffff;
    --text-color: #000000;
    --title-color: #ff8c00;
    --bg-color-0: #dddddd;
    --link-color: #b58900;
}

@media (prefers-color-scheme: dark) {
    :root {
        --bg-color: #000000;
        --text-color: #ffffff;
        --title-color: #ffb84d;
        --bg-color-0: #222222;
        --link-color: #ffff00;
    }
}

body {
    background-color: var(--bg-color);
    color: var(--text-color);
}

a {
    text-decoration: none;
    padding: 10px;
    margin: 10px;
    color: var(--link-color);
}

a:hover {
    background-color: #555;
    border-radius: 5px;
}

@scope (#login-form) {
    display: grid;
    place-items: center; /* centers both axes in one line */
    min-height: 100vh;
    margin: 0;

    form {
        display: flex;
        flex-direction: column;
        gap: 1rem;
        padding: 2rem;
        border-radius: 8px;
        border-color: var(--text-color);
        border-style: solid;
        border-width: 2px;
    }
}

@scope (#navbar) {
    display: flex;
    justify-content: space-between; /* Title left, links right */
    align-items: center;
    padding: 5px 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);

    .title {
        font-size: 3rem;
        font-weight: bold;
        text-decoration: none;
        color: var(--title-color);
    }

    ul {
        list-style: none;
        display: flex;
    }

    li {
        margin-left: 20px;
    }
}

@media only screen and (min-width: 1200px) {
    #content {
        display: flex;
        flex-direction: row;
    }
    main {
    }

    #sidebar {
        min-width: 15%;
        max-width: 15%;
    }
}

@scope (#sidebar) {
    list-style: none;
    background-color: var(--bg-color-0);
    padding-top: 10px;
    margin: 10px;

    li {
        margin: 20px 0px;
    }
}

table {
    border-collapse: collapse;
    margin: 1rem;
}

th,
td {
    border: 1px solid;
    padding: 1rem;
}

textarea {
    resize: none;
}

@scope (#public-roster-table) {
    tr {
        min-height: 2rem;
    }
}
